---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libthrcputime002.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x5CB0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x599D0, symBinAddr: 0x10210, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5B910, symBinAddr: 0x12150, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5BD00, symBinAddr: 0x12540, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5CCA0, symBinAddr: 0x134E0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5CCB0, symBinAddr: 0x134F0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x59620, symBinAddr: 0x100B0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x59624, symBinAddr: 0x100B4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x59628, symBinAddr: 0x100B8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x59780, symBinAddr: 0x100C0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x59838, symBinAddr: 0x10178, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5983C, symBinAddr: 0x1017C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x59840, symBinAddr: 0x10180, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x59844, symBinAddr: 0x10184, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x59848, symBinAddr: 0x10188, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x59850, symBinAddr: 0x10190, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x59860, symBinAddr: 0x101A0, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x59868, symBinAddr: 0x101A8, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x59870, symBinAddr: 0x101B0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x59878, symBinAddr: 0x101B8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x59880, symBinAddr: 0x101C0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x59888, symBinAddr: 0x101C8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL7monitor, symObjAddr: 0x598D0, symBinAddr: 0x101D0, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL15testAgentThread, symObjAddr: 0x598D8, symBinAddr: 0x101D8, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: __ZL19prevAgentThreadTime, symObjAddr: 0x598E0, symBinAddr: 0x101E0, symSize: 0x0 }
  - { offsetInCU: 0x952F, offset: 0x952F, size: 0x8, addend: 0x0, symName: __ZL12testedThread, symObjAddr: 0x598E8, symBinAddr: 0x101E8, symSize: 0x0 }
  - { offsetInCU: 0x9548, offset: 0x9548, size: 0x8, addend: 0x0, symName: __ZL20prevTestedThreadTime, symObjAddr: 0x598F0, symBinAddr: 0x101F0, symSize: 0x0 }
  - { offsetInCU: 0x9561, offset: 0x9561, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x598F8, symBinAddr: 0x101F8, symSize: 0x0 }
  - { offsetInCU: 0x957A, offset: 0x957A, size: 0x8, addend: 0x0, symName: __ZL10iterations, symObjAddr: 0x59900, symBinAddr: 0x10200, symSize: 0x0 }
  - { offsetInCU: 0x95CC, offset: 0x95CC, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4870, symSize: 0x80 }
  - { offsetInCU: 0x9661, offset: 0x9661, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x47C0, symSize: 0xB0 }
  - { offsetInCU: 0x96BC, offset: 0x96BC, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x46C0, symSize: 0x100 }
  - { offsetInCU: 0x994F, offset: 0x994F, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x48F0, symSize: 0xC0 }
  - { offsetInCU: 0x99A1, offset: 0x99A1, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x49B0, symSize: 0x220 }
  - { offsetInCU: 0x9B86, offset: 0x9B86, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4BD0, symSize: 0xA0 }
  - { offsetInCU: 0x9C39, offset: 0x9C39, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4C70, symSize: 0x110 }
  - { offsetInCU: 0x9D2F, offset: 0x9D2F, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4D80, symSize: 0x150 }
  - { offsetInCU: 0x9EDA, offset: 0x9EDA, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4ED0, symSize: 0x30 }
  - { offsetInCU: 0x9FC7, offset: 0x9FC7, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4F00, symSize: 0x150 }
  - { offsetInCU: 0xA1BF, offset: 0xA1BF, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x5050, symSize: 0x160 }
  - { offsetInCU: 0xA47F, offset: 0xA47F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x51B0, symSize: 0x4A0 }
  - { offsetInCU: 0xA718, offset: 0xA718, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x2860, symBinAddr: 0x5650, symSize: 0xE0 }
  - { offsetInCU: 0xA7D8, offset: 0xA7D8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x5730, symSize: 0x1B0 }
  - { offsetInCU: 0xA9F3, offset: 0xA9F3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x58E0, symSize: 0xA0 }
  - { offsetInCU: 0xAAC2, offset: 0xAAC2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x5980, symSize: 0x20 }
  - { offsetInCU: 0xAAF9, offset: 0xAAF9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x59A0, symSize: 0x20 }
  - { offsetInCU: 0xAB30, offset: 0xAB30, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x59C0, symSize: 0x20 }
  - { offsetInCU: 0xAC9F, offset: 0xAC9F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x59E0, symSize: 0x1A0 }
  - { offsetInCU: 0xAFBB, offset: 0xAFBB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x5B80, symSize: 0x130 }
  - { offsetInCU: 0xB16B, offset: 0xB16B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x5F20, symSize: 0x1B0 }
  - { offsetInCU: 0xB45A, offset: 0xB45A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x60D0, symSize: 0x80 }
  - { offsetInCU: 0xB523, offset: 0xB523, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x6150, symSize: 0x6A0 }
  - { offsetInCU: 0xC0B8, offset: 0xC0B8, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xC680, symBinAddr: 0x9960, symSize: 0xB0 }
  - { offsetInCU: 0xC12F, offset: 0xC12F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x67F0, symSize: 0x70 }
  - { offsetInCU: 0xC1EB, offset: 0xC1EB, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x6860, symSize: 0xA0 }
  - { offsetInCU: 0xC2F6, offset: 0xC2F6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x6900, symSize: 0x40 }
  - { offsetInCU: 0xC3EC, offset: 0xC3EC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x6940, symSize: 0x2B0 }
  - { offsetInCU: 0xC792, offset: 0xC792, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x6BF0, symSize: 0xC0 }
  - { offsetInCU: 0xC8D8, offset: 0xC8D8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x6CB0, symSize: 0x10 }
  - { offsetInCU: 0xC99A, offset: 0xC99A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x6CC0, symSize: 0x220 }
  - { offsetInCU: 0xCC97, offset: 0xCC97, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x6EE0, symSize: 0x10 }
  - { offsetInCU: 0xCCF4, offset: 0xCCF4, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x6EF0, symSize: 0x4E0 }
  - { offsetInCU: 0xD399, offset: 0xD399, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA0F0, symBinAddr: 0x73D0, symSize: 0x10 }
  - { offsetInCU: 0xD548, offset: 0xD548, size: 0x8, addend: 0x0, symName: _callbackVMInit, symObjAddr: 0xA100, symBinAddr: 0x73E0, symSize: 0x150 }
  - { offsetInCU: 0xD804, offset: 0xD804, size: 0x8, addend: 0x0, symName: __ZL12checkCpuTimeP9_jvmtiEnvP8_jobjectPyS3_PKc, symObjAddr: 0xA250, symBinAddr: 0x7530, symSize: 0x14B0 }
  - { offsetInCU: 0xDC53, offset: 0xDC53, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0xB700, symBinAddr: 0x89E0, symSize: 0x70 }
  - { offsetInCU: 0xDDAB, offset: 0xDDAB, size: 0x8, addend: 0x0, symName: _callbackVMDeath, symObjAddr: 0xB770, symBinAddr: 0x8A50, symSize: 0x270 }
  - { offsetInCU: 0xE18D, offset: 0xE18D, size: 0x8, addend: 0x0, symName: _callbackThreadStart, symObjAddr: 0xB9E0, symBinAddr: 0x8CC0, symSize: 0x2D0 }
  - { offsetInCU: 0xE5DA, offset: 0xE5DA, size: 0x8, addend: 0x0, symName: _callbackThreadEnd, symObjAddr: 0xBCB0, symBinAddr: 0x8F90, symSize: 0x2D0 }
  - { offsetInCU: 0xEA53, offset: 0xEA53, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xBF80, symBinAddr: 0x9260, symSize: 0x700 }
  - { offsetInCU: 0xF5FB, offset: 0xF5FB, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xC730, symBinAddr: 0x9A10, symSize: 0x370 }
...
